it-swarm-ja.com

Apache ant 1.8.2へのインストール/アップグレード

Ubuntu nattyでapt-getを使用してApache Ant 1.8.2をインストール/アップグレードする方法。 Sudo apt-get upgrade antSudo apt-get install ant(すでにインストールされているバージョン、つまり1.8.1を削除した後)を試しましたが、何も機能しません。 Ant 1.8.1のみをインストールするたび。

4
RSK

あなたが見つけたように-あなたはこの方法で「アップグレード」することはできません。リポジトリは通常、安定性とセキュリティの修正のみで更新される安定したコードベースです。まれに新しいバージョンのアプリケーションです。

Eclipseチームは their PPA を介してantのv1.8.2をパッケージ化しました。

そのルートを下りたい場合

Sudo add-apt-repository ppa:Eclipse-team/debian-package
Sudo apt-get update
3
fossfreedom

1.8.2はまだNatty用にパッケージ化されていません。Nattyアーカイブ内のAntの最新のパッケージバージョンは 1.8.1-1 です。 1.8.2はOneiric用にパッケージ化されているため、Oneiricリリースを待つか、または Backport request process に従ってOneiricパッケージがNattyにバックポートされるように要求できます。

気に入った場合は、ソースからAntをコンパイルすることもできますが、リポジトリを介してAntを取得したい場合に問題が発生する可能性があります。

1
David Futcher